cURL
curl --request GET \ --url https://demo-api.mobula.io/api/2/wallet/pm/pnl
{ "data": { "realizedPnlUSD": 123, "unrealizedPnlUSD": 123, "totalPnlUSD": 123, "totalInvestedUSD": 123, "totalRedeemedUSD": 123, "realizedPnlPercent": 123, "totalPnlPercent": 123 }, "hostname": "<string>", "took": 123 }
Get a wallet’s aggregated prediction market PnL summary.
Documentation IndexFetch the complete documentation index at: https://docs.mobula.io/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.mobula.io/llms.txt
Use this file to discover all available pages before exploring further.
Show Wallet PnL
curl -X GET "https://api.mobula.io/api/2/wallet/pm/pnl?wallet=0xYourWalletAddress"
{ "data": { "totalInvestedUSD": 1500, "totalRedeemedUSD": 800, "realizedPnlUSD": 300, "unrealizedPnlUSD": 150, "totalPnlUSD": 450, "marketsTradedCount": 12, "marketsActiveCount": 5 }, "hostname": "node-xyz", "took": 42 }
1
Prediction Markets response
Show child attributes